Why doesn’t KidSpeak run on my Mac?

The older versions of Kidspeak are not compatible with Mac OSX 10.6 or higher, and must be run under the “Classic Environment.” This is due to changes made to Mac OS X with the adoption of Intel based processors.The new versions of KidSpeak are for Windows only.